Subject: HDFlib on NeXT v2.0

From: [email-masked] (Simon Tortike)
Date: Wed, 19 Jun 1991 12:06:51 -0600

Hi:
  There were no takers on my request for info. compiling HDF utilities on the 
NeXT.  I went ahead on my own, using the MACHINE=SUN definition, and following 
the HINTS file.  I have placed a makefile for compiling the hdf library and 
official distributed utilities. I also compiled `fp2hdf' and `he' successfully.
I have made the appropriate makefile, MAKE.NEXT, available by anonymous ftp on
mmpe.mineral.ualberta.ca [129.128.32.10] in the directory ~ftp/pub.
I hope this is useful, and if you find any shortcomings in what I did, or make 
any improvements, please let me know.

Regards,

W. Simon Tortike,                   | tel     : 403/492-3338
Dept of Mining, Metallurgical       | fax     : 403/492-7219
      and Petroleum Engineering,    |
University of Alberta,              | CA*net  : [email-masked]
Edmonton, AB, CANADA T6G 2G6.       | NeXTmail: [email-masked]

---

From: [email-masked] (Simon Tortike)
Date: Wed, 19 Jun 1991 15:15:12 -0600

Mike:
  I have no objection, but perhaps it would be prudent to wait. I shall
be testing out the library and fp2hdf utility over the next 3 weeks,
so why don't I let you know then whether the thing seems to work.
I also told two other groups at TRW and U. of Buffalo who had asked
for any information I might get.

Regards,
  Simon Tortike.

---

From: [email-masked] (Simon Tortike)
Date: Wed, 19 Jun 1991 18:09:59 -0600

Mike:
  I have had trouble linking fortran subroutines with the libhdf.a library
I mentioned before.  I believe this is limited to f77 on the NeXT, as
all the utilities compiled (they were all C programs).  The problems
are to do with the trailing underscore on the function/subroutine names:
the `missing' functions have lost these trailing underscores, e.g.,
_dfsdgetdatastrs appears as an undefined symbol required for the link, while
it exists as: _dfsdgetdatastrs_ .  I do not have time to figure out the
problem, so I shall just use the bits I have (the distributed utilities)!

If you hear anything more about compiling on the NeXT and linking with
Absoft f77 programs, please let me know.

Thanks,
  Simon Tortike.